/* Header */

header {
	position: sticky;
	top: 0;
	z-index: 4;
	background: var(--black);
	z-index: 7;
}

header.page-header {
	box-shadow: 0 -0.6875rem 0.9375rem 0.5625rem rgba(0, 96, 240, 0.3);
}

.header-container {
	gap: 3.5rem;
	padding: 1rem 0;
	position: relative;
}


.header__logo img {
    transition: .2s;
	max-width: 13.75rem;
}

#to-compare-page {
	color: #fff;
	position: absolute;
	right: 0;
	top: 50%;
	transform: translate(0, -50%);
	gap: 0.625rem;
	transition: .2s;
}


#to-compare-page svg path {
	transition: .2s;
}

#to-compare-page:hover {
	color: var(--main-blue);
	transition: .2s;
}

#to-compare-page:hover svg path {
	fill: var(--main-blue);
	transition: .2s;
}

.menu {
	gap: 3.5rem;
	list-style: none;
	padding: 0;
	margin: 0;
}

.menu li a {
	color: #fff;
	transition: .4s;
	position: relative;
}







/* Меню */

.menu>li.menu-item-has-children>a::before {
	content: '';
	position: absolute;
	right: -1.25rem;
	top: 0.3125rem;
	width: 0.6875rem;
	height: 0.6875rem;
	transition: .2s;
	background-position: center;
	background-repeat: no-repeat;
	transform: rotate(-180deg);
	background-image: url('data:image/svg+xml,<svg width="11" height="9" viewBox="0 0 11 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10.3845 8.15375L5.19225 2.2696e-07L3.56412e-07 8.15375L10.3845 8.15375Z" fill="white" /></svg>');
}

.menu>li.menu-item-has-children:not(#menu-main-menu-left>li:first-child) {
	position: relative;
}

.menu>li.menu-item-has-children:not(#menu-main-menu-left>li:first-child)::before {
	width: 100%;
	height: 100%;
	left: 0;
	top: 1.25rem;
	content: '';
	position: absolute;
	background: transparent;
}

.menu>li.menu-item-has-children>.sub-menu {
	position: absolute;
	left: 0;
	top: calc(100% + 1.25rem);
	width: max-content;
	padding: 0;
	list-style: none;
	display: flex;
	flex-direction: column;
	gap: 0.75rem;
	padding: 0.75rem;
	border-radius: 10px;
	opacity: 0;
	transition: .2s;
	pointer-events: none;
	background: rgb(11, 11, 11, .9);
	backdrop-filter: blur(0.3125rem);
}

.menu>li.menu-item-has-children:hover>.sub-menu {
	opacity: 1;
	transition: .2s;
	pointer-events: all;
}

.menu>li.menu-item-has-children:hover>a::before {
	transform: rotateY(180deg);
	background-image: url('data:image/svg+xml,<svg width="11" height="9" viewBox="0 0 11 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10.3845 8.15375L5.19225 2.2696e-07L3.56412e-07 8.15375L10.3845 8.15375Z" fill="%230060F0" /></svg>');

}

.menu>li.menu-item-has-children:hover>a {
	color: var(--main-blue);
}


.menu__right {
	display: flex;
	justify-content: flex-start;
	align-items: center;
}



.header-container {
	grid-template-columns: 1fr auto 1fr;
	position: relative;
}



/* левое и правое меню — горизонтальные списки с шагом 3.5rem */
.menu-left,
.menu-right {
	display: flex;
	align-items: center;
	gap: 3.5rem;
	list-style: none;
	margin: 0;
	padding: 0;
}





/* Меню каталога*/
#menu-main-menu-left>li:first-child>.sub-menu-container {
	position: absolute;
	left: 50%;
	top: 100%;
	width: 100vw;
	height: 100dvh;
	background: rgb(11, 11, 11, .9);
	opacity: 0;
	visibility: hidden;
	pointer-events: none;
	transition: .2s;
	backdrop-filter: blur(0.3125rem);
	border-radius: 0;
	transform: translate(-50%);
	display: flex;
	justify-content: center;
}

#menu-main-menu-left>li:first-child>.sub-menu-container>.sub-menu {
	list-style: none;
	flex-direction: row;
	display: flex;
	align-items: start;
	justify-content: center;
	gap: 9.0625rem;
	margin: 0;
	padding: 2.1875rem 0;
	max-width: 90rem;
}

#menu-main-menu-left>li:first-child.menu--active>.sub-menu-container {
	opacity: 1;
	visibility: visible;
	pointer-events: all;
	transition: .2s;

}




body:has(#menu-main-menu-left > li:first-child.menu--active) {
	overflow: hidden;
	height: 100dvh;
}

#menu-main-menu-left>li>a {
	position: relative;
}

#menu-main-menu-left>li:first-child.menu--active>a {
	color: var(--main-blue);
}



#menu-main-menu-left>li.menu-item-has-children>a::before {
	content: '';
	position: absolute;
	right: -1.25rem;
	top: 0.3125rem;
	width: 0.6875rem;
	height: 0.6875rem;
	transition: .2s;
	background-position: center;
	background-repeat: no-repeat;
	transform: rotate(-180deg);
	background-image: url('data:image/svg+xml,<svg width="11" height="9" viewBox="0 0 11 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10.3845 8.15375L5.19225 2.2696e-07L3.56412e-07 8.15375L10.3845 8.15375Z" fill="white" /></svg>');

}

#menu-main-menu-left>li:first-child.menu--active>a::before {
	background-image: url('data:image/svg+xml,<svg width="11" height="11" viewBox="0 0 11 11" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.589792 10.5129L0 9.92313L4.66667 5.25646L0 0.589792L0.589792 0L5.25646 4.66667L9.92313 0L10.5129 0.589792L5.84625 5.25646L10.5129 9.92313L9.92313 10.5129L5.25646 5.84625L0.589792 10.5129Z" fill="%230060F0" /></svg>');
	width: 0.6875rem;
	height: 0.6875rem;
}

#menu-main-menu-left>li:first-child:not(#menu-main-menu-left>li:first-child.menu--active):hover>a::before {
	background-image: url('data:image/svg+xml,<svg width="11" height="9" viewBox="0 0 11 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10.3845 8.15375L5.19225 2.2696e-07L3.56412e-07 8.15375L10.3845 8.15375Z" fill="%230060F0" /></svg>');

}

#menu-main-menu-left>li:first-child>.sub-menu-container>.sub-menu.sub-menu>li>a {
	font-size: 1.25rem;
	font-weight: 500;
	font-variation-settings: 'wght' 500;
	opacity: .5;
	pointer-events: none;
}

#menu-main-menu-left>li:first-child .sub-menu>li>.sub-menu-container>.sub-menu {
	list-style: none;
	padding: 0;
	margin-top: 1.25rem;
	display: flex;
	flex-direction: column;
	gap: 1.25rem;
}

#openMobMenu {
	display: none;
}



@media screen and (max-width: 1399px) {
	.menu {
		gap: 2rem;
	}


}



@media screen and (max-width: 1199px) {

	.header__logo {
		max-width: 13.7143rem;
		/* grid-column: span 2; */
	}
	.header__logo img {
		width: 100%;
	}

	.header-container {
		gap: 1.5rem;
	}
	.menu {
		gap: 1.5rem;
	}

	.header__logo {
		max-width: 12rem;
	}

	#to-compare-page {
		position: static;
		transform: none;
		margin-left: auto;
	}

	.menu__right {
		gap: 1.5rem;
	}

	/*

	.header-container {
		grid-template-columns: repeat(12, 1fr);
		position: relative;
	}

	.menu__left{
		grid-column: span 5;
		justify-content: center;
	}

	.menu__right{
		grid-column: span 5;
		justify-content: center;
	} */

}


@media  screen and (min-width: 1024px) {
	.header__logo img {
		transition: .2s;
	}

	.header__logo:hover img {
		filter: drop-shadow(0 0 0.9375rem #0060f0);
		transition: .2s;

	}

}



@media screen and (max-width: 1023px) {

	.header-container {
		display: flex;
		width: 100%;
		justify-content: space-between;
		gap: 3rem;
	}

	.menu__left {
		display: none;
	}

	.menu__right>nav {
		display: none;
	}

	.menu__right{
		margin-left: auto;
	}

	.header__logo img {
		max-width: 136px;
	}

	#openMobMenu {
		display: block;
		width: fit-content;
		justify-self: end;
		background: transparent;
	}

	#to-compare-page {
		position: relative;
		transform: none;
		margin-left: auto;
	}

	#to-compare-page:hover{
		color: #fff !important;
	}

	#to-compare-page::after {
		content: attr(data-count);
		position: absolute;
		right: -50%;
		top: 50%;
		height: auto;
		background: var(--main-blue);
		font-size: .8rem;
		padding: .25rem;
		border-radius: 15px;
		width: 1.5rem;
		text-align: center;
		display: flex;
		align-items: center;
		justify-content: center;
		transform: translate(50%, 0);
	}

	#to-compare-page > span {
		display: none;
	}

	#to-compare-page svg{
		width: 19px;
		height: 19px;
	}

	#openMenu {
		display: flex;
		transition: .2s;
		transition-behavior: allow-descrete;
	}

	#closeMenu {
		display: none;
		transition: .2s;
		transition-behavior: allow-descrete;
	}

	#openMobMenu.is-open #closeMenu {
		display: flex;
	}


	#openMobMenu.is-open #openMenu {
		display: none;
	}

}


@starting-style {
	#openMobMenu.is-open #closeMenu {
		opacity: 0;
		transform: scale(.9)
	}


	#openMobMenu.is-open #openMenu {
		opacity: 0;
		transform: scale(.9)
	}
}